
const tab = browser.tabs.create({url: 'https://www.wikipedia.org/', active: true});

async function makeSearch() {
  await new Promise(resolve => setTimeout(resolve, 5000));
  const searchResult = await browser.find.find('en', {tabId: tab.id, caseSensitive: false, entireWord: false, includeRangeData: true, includeRectData: true});
  console.log('search result', searchResult.rangeData.map(x => x.startTextNodePos).join(','));
  browser.find.highlightResults();
}

(async function () {
  await makeSearch();   // first search
  await makeSearch();   // second search
})();
